# signMultipleTransactions

{% hint style="info" %}
This is an Xverse custom method. It can only be invoked for users using the [Xverse wallet](https://www.xverse.app/).
{% endhint %}

```typescript
import { signMultipleTransactions } from 'sats-connect'
```

To request signing of multiple PSBTs, you can use the `signMultipleTransactions` function.

<table><thead><tr><th width="166">psbt</th><th>Description</th></tr></thead><tbody><tr><td>psbtBase64</td><td>a valid <code>psbt</code> encoded in <code>base64</code></td></tr><tr><td>inputsToSign</td><td>an array of objects describing the address and index of input to sign</td></tr></tbody></table>

```typescript
import { signMultipleTransactions } from 'sats-connect'

const psbtsBase64 = [...,...,...]

await signMultipleTransactions({
      payload: {
        network: {
          type: network,
        },
        message: "Sign Transaction",
        psbts: [
          {
            psbtBase64: psbtsBase64[0],
            inputsToSign: [
              {
                address: paymentAddress,
                signingIndexes: [0],
                sigHash: btc.SignatureHash.SINGLE | btc.SignatureHash.ANYONECANPAY,
              },
              {
                address: ordinalsAddress,
                signingIndexes: [1],
                sigHash: btc.SignatureHash.SINGLE | btc.SignatureHash.ANYONECANPAY,
              },
            ],
          },
          {
            psbtBase64: psbtsBase64[1],
            inputsToSign: [
              {
                address: paymentAddress,
                signingIndexes: [0],
                sigHash: btc.SignatureHash.SINGLE | btc.SignatureHash.ANYONECANPAY,
              },
              {
                address: ordinalsAddress,
                signingIndexes: [1],
                sigHash: btc.SignatureHash.SINGLE | btc.SignatureHash.ANYONECANPAY,
              },
            ],
          }
        ]
      },
      onFinish: (response) => {
        console.log('Bulk tx signing response:', response);
      },
      onCancel: () => alert("Canceled"),
    });
  };
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/sats-connect/bitcoin-methods/signmultipletransactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
